// CLG_AnimBanner.h

#pragma once

#include <LView.h>
#include <LPeriodical.h>


//****************************************************
class	CLG_AnimBanner : public LPane, public LPeriodical {
public:
	enum { class_ID = 'Cani' };
	static CLG_AnimBanner*	CreateDisplayStream(
					LStream			*inStream);
	

	CLG_AnimBanner( void);
	CLG_AnimBanner( LStream *inStream);

	void	Init(void);
	void	ClickSelf(const SMouseDownEvent &inMouseDown);
	void	AdjustCursorSelf(Point inPortPt,
									const EventRecord &inMacEvent);

	void	SpendTime(const EventRecord &inMacEvent);
	void	DrawSelf();	
	
	//---------------------------------
	PicHandle	mCurPicH;
	Boolean		mAnimOn;
	long		mLastDraw;
	short		mCurInd;	

protected:

};

