// CLG_CharsGrid.h

#pragma once

#include <LView.h>

//****************************************************
#define kcgVOffset		02
#define kcgHOffset		22	
#define kcgHSpacing		22
#define kcgVSpacing		17


// Script Mgr actions as enum
enum {
		saNoChange = 1,
		saUppercase,
		saLowercase,
		saStripDiacritical,
		saUpperStripDiacritical
};


//****************************************************
class	CLG_CharsGrid : public LPane {
public:
	enum { class_ID = 'Cchg' };
	static CLG_CharsGrid*	CreateDisplayStream(
					LStream			*inStream);
	

	CLG_CharsGrid( void);
	CLG_CharsGrid( LStream *inStream);

	void	Init(void);
	void	FillCodePts(void);
	void	ClickSelf(const SMouseDownEvent &inMouseDown);
	void	AdjustCursorSelf(Point inPortPt,
									const EventRecord &inMacEvent);

	void	DrawSelf();	
	void 	DoChangeChars(void);
	void 	DoPageUp(void);
	void 	DoPageDown(void);
	
	//---------------------------------
	short				mFontNum;
	short				mFontSiz;
	
	unsigned char		mBaseChar;		
	unsigned short		mCodePts[ 256];
	unsigned short		mChars[ 256];

	long				mCurScriptNum;	
	short				mScriptAction;
	

protected:

};

