// LG_Constants.h
//


		// NOTE the following are defined in the Kanji Ranges. Chinese, Korean 
		//       have their own ranges and will need to handled.

		// per IM: Text, pg 1-59

#define MIN_KanjiLeadByte	0x81
#define MAX_KanjiLeadByte	0xFC

#define KanjiIsLeadByte(ch)	\
	((((unsigned char)(ch)) >= 0x081 && ((unsigned char)(ch)) <= 0x09F) || \
	(((unsigned char)(ch)) >= 0x0E0 && ((unsigned char)(ch)) <= 0x0FC))

#define KanjiIsTrailByte(ch)	\
	((((unsigned char)(ch)) >= 0x040 && ((unsigned char)(ch)) <= 0x07E) || \
	(((unsigned char)(ch)) >= 0x080 && ((unsigned char)(ch)) <= 0x0FC))

#define KanjiIsHanKata(ch)  ( ((unsigned char)(ch)) >= 0x0A0 && ((unsigned char)(ch)) <= 0x0DF )


// Pane IDs
#define PID_AnimBanner		 999
#define PID_CharsGrid		1000
#define PID_BtnChng			1002
#define PID_PnCharInfo		1006
#define PID_IBtnPgUp		1020
#define PID_IBtnPgDown		1022
#define PID_MenuDrawAct		1030
#define PID_MenuScriptAct	1032

// Commands/Msgs
#define cmd_SomeBtn			1002
#define cmd_PageUp			1020
#define cmd_PageDown		1022
#define cmd_MenuScriptAct	1032



// End of Listing
